dev-python / ansible-compat

Contains functions that facilitate working with various versions of Ansible

Official package sites : https://github.com/ansible-community/ansible-compat/ · https://pypi.org/project/ansible-compat/ ·

v0.5.0 :: 0 :: gentoo

Modified
License
MIT
Keywords
~amd64
USE flags
test

General

test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

python_targets

python3_8
Build with Python 3.8
python3_9
Build with Python 3.9

app-admin / ansible-base : Model-driven deployment, config management, and command execution framework

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-lang / python-exec : Python script wrapper

dev-python / pyyaml : YAML parser and emitter for Python

dev-python / subprocess-tee : subprocess.run replacement with tee(1)-like output

app-admin / ansible-molecule : A toolkit designed to aid in the development and testing of Ansible roles

Repository mirror & CI · gentoo
Merge updates from master
Marek Szuba · gentoo
dev-python/ansible-compat: deselect network sandbox-violating tests
All of these tests fail if the network sandbox is active because they try to connect to the Ansible Galaxy API server. One of these days I *will* remember that our network sandbox does not work in Docker. Closes: https://bugs.gentoo.org/824950 Signed-off-by: Marek Szuba <marecki@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Marek Szuba · gentoo
dev-python/ansible-compat: initial import
New dependency of app-admin/ansible-molecule. Adding 0.5.0 because it is the latest version currently available on PyPI, using tarballs from GitHub would require messing around with setuptools_scm. Signed-off-by: Marek Szuba <marecki@gentoo.org>